Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.jndi
[Java] Class JndiBindingSupport

    java.lang.Object
      org.codehaus.groovy.grails.cli.jndi.JndiBindingSupport

    public class JndiBindingSupport
    extends java.lang.Object

Aids in binding a mock JNDI context from Grails' JNDI configuration format

Authors:
  Graeme Rocher

Since:
  1.2.3

Constructor Summary
`JndiBindingSupport(java.util.Map jndiConfig)`

Method Summary
`static void` | `registerJndiBindingHandler(JndiBindingHandler handler)` Used to register a new JNDI binding handler

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### JndiBindingSupport

    public JndiBindingSupport(java.util.Map jndiConfig)

Method Detail

### registerJndiBindingHandler

    public static void registerJndiBindingHandler(JndiBindingHandler handler)

  Used to register a new JNDI binding handler
  Parameters:
    `handler` - The binding handler

Groovy Documentation